%define major	15
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name: aspell
Version: 0.60.6.1
Release: %mkrel 5
Summary: A Free and Open Source interactive spelling checker program
Group: Text tools
Source0: ftp://ftp.gnu.org/gnu/aspell/%{name}-%{version}.tar.gz
URL: http://aspell.net/
License: LGPL
%if !%{bootstrap}
Requires: aspell-dictionary
%endif

%description
GNU Aspell is a Free and Open Source spell checker designed to eventually 
replace Ispell. It can either be used as a library or as an independent 
spell checker. 
Its main feature is that it does a much better job of coming up with possible 
suggestions than just about any other spell checker out there for the English 
language, including Ispell and Microsoft Word. It also has many other technical
enhancements over Ispell such as using shared memory for dictionaries and 
intelligently handling personal dictionaries when more than one Aspell process 
is open at once. 


%files -f %{name}.lang
%doc README TODO
%{_bindir}/aspell*
%{_bindir}/run-with-aspell
%{_bindir}/word-list-compress
%{_bindir}/precat
%{_bindir}/preunzip
%{_bindir}/prezip
%{_bindir}/prezip-bin
%{_libdir}/aspell-0.60
%{_libdir}/aspell
%doc %{_datadir}/info/aspell*
%doc %{_mandir}/man1/*.1*

#----------------------------------------------------------------------

%package -n %{libname}
Group: Text tools
Summary: Shared library files for aspell

%description -n %{libname}
Shared library files for the aspell package.

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

#----------------------------------------------------------------------

%package -n %{develname}
Group: Development/Other
Summary: Development files for aspell
Requires: %{name} = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Provides: libaspell-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{libname}-devel
Conflicts: libpspell4-devel

%description -n %{develname}
Development headers, and files for development from the aspell package.


%files -n %{develname}
%{_bindir}/pspell-config
%{_includedir}/*
%{_libdir}/libaspell.so
%{_libdir}/libpspell.so
%multiarch %{multiarch_bindir}/pspell-config

#----------------------------------------------------------------------

%package manual
Group: Text tools
Summary: Manual for aspell

%description manual
This package contains a manual for aspell.

GNU Aspell is a Free and Open Source spell checker designed to eventually 
replace Ispell. It can either be used as a library or as an independent 
spell checker. 


%files manual
%doc manual/*

#----------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

# Provides symlink for configures that mean to match aspell on %%_libdir/aspell
pushd %{buildroot}%{_libdir}
    ln -sf aspell-0.60 aspell
popd

# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/pspell-config

%find_lang %{name}


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 0.60.6.1-5.mga3
+ Revision: 397101
- remove obsolete pre script

* Fri Jan 11 2013 umeabot <umeabot> 0.60.6.1-4.mga3
+ Revision: 346193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.60.6.1-3.mga3
+ Revision: 325122
- clean .spec

* Wed Dec 07 2011 fwang <fwang> 0.60.6.1-2.mga2
+ Revision: 178046
- drop .la files

  + tv <tv>
    - new release

  + dmorgan <dmorgan>
    - Bump release
    - disable bootstrap now
    - Rebuild as previous build failed on the BS
    - Bump release
    - Add aspell requires on the bootstrap
    - Remove mdv macros
    - imported package aspell

  + spuhler <spuhler>
    - Increased release
    -Release: %%mkrel 8
      +Release: %%mkrel 1
    -BuildRoot: %%{_tmppath}/%%{name}-%%{version}-root

